Public IPs

Generated on 18 Mar 2026

Base URL https://api.paperspace.com/v1

GET List public IPs

/public-ips
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Fetches a list of public IPs.

Query Parameters

after string optional

Fetch the next page of results after this cursor.

limit integer 1 – 120 optional

The number of items to fetch after this page.

orderBy string, one of: dtCreated optional

Order results by one of these fields.

Default: dtCreated
order string, one of: asc, desc optional

The order to sort the results by.

Default: desc
region anyOf optional
curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/public-ips"

Responses

200

Successful response

hasMore boolean required

Whether there are more pages of results available.

items array of object required

The items on this page.

Show child properties
assignedMachineId string optional

The ID of the machine the public IP is assigned to.

dtCreated string (date-time) required

The date the public IP was claimed.

ip string required

The IP address of the public IP.

region string, one of: ny2, ca1, ams1 required

The region of the public IP.

nextPage string optional

The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.

default

Error response

code string required
details object optional
message string required
{
  "hasMore": true,
  "items": [
    {
      "assignedMachineId": "string",
      "dtCreated": "2019-08-24T14:15:22Z",
      "ip": "string",
      "region": "ny2"
    }
  ],
  "nextPage": "string"
}
{
  "code": "string",
  "message": "string"
}

POST Claim a public IP

/public-ips
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Claims a public IP.

Request Body: application/json

region string, one of: ny2, ca1, ams1 required

The region of the public IP.

Content type application/json
{
  "region": "ny2"
}
curl -X POST \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "region": "ny2"
}' \
  "https://api.paperspace.com/v1/public-ips"

Responses

200

Successful response

assignedMachineId string optional

The ID of the machine the public IP is assigned to.

dtCreated string (date-time) required

The date the public IP was claimed.

ip string required

The IP address of the public IP.

region string, one of: ny2, ca1, ams1 required

The region of the public IP.

default

Error response

code string required
details object optional
message string required
{
  "assignedMachineId": "string",
  "dtCreated": "2019-08-24T14:15:22Z",
  "ip": "string",
  "region": "ny2"
}
{
  "code": "string",
  "message": "string"
}

PUT Assign a public IP

/public-ips/{ip}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Assigns a public IP to a machine.

Path Parameters

ip string required

The IP address of the public IP.

Request Body: application/json

machineId string required Nullable

The ID of the machine to assign the public IP to.

Content type application/json
{
  "machineId": "string"
}
curl -X PUT \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "machineId": "string"
}' \
  "https://api.paperspace.com/v1/public-ips/{ip}"

Responses

200

Successful response

assignedMachineId string optional

The ID of the machine the public IP is assigned to.

dtCreated string (date-time) required

The date the public IP was claimed.

ip string required

The IP address of the public IP.

region string, one of: ny2, ca1, ams1 required

The region of the public IP.

default

Error response

code string required
details object optional
message string required
{
  "assignedMachineId": "string",
  "dtCreated": "2019-08-24T14:15:22Z",
  "ip": "string",
  "region": "ny2"
}
{
  "code": "string",
  "message": "string"
}

DELETE Release a public IP

/public-ips/{ip}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Releases a public IP.

Path Parameters

ip string required

The IP address of the public IP.

curl -X DELETE \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/public-ips/{ip}"

Responses

200

Successful response

ip string required
default

Error response

code string required
details object optional
message string required
{
  "ip": "string"
}
{
  "code": "string",
  "message": "string"
}

We can't find any results for your search.

Try using different keywords or simplifying your search terms.